## perl 5.18.2

=== debian/changelog ===
perl (5.18.2-2ubuntu1) trusty; urgency=medium

  * Fix undefined behaviour in sv.c, resulting in test failures when
    built with GCC 4.9. Patch by Marek Polacek.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Mar 2014 17:52:36 +0100

perl (5.18.2-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Update debian/copyright to include the year 2013.

  [ Dominic Hargreaves ]
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Tue, 14 Jan 2014 19:47:33 +0000

perl (5.18.2-1) experimental; urgency=low

  * New upstream release.

 -- Niko Tyni <ntyni@debian.org>  Wed, 08 Jan 2014 21:17:36 +0200

perl (5.18.1-5) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Revert patches disabling GNU/Hurd tests which now succeed:
    - debian/hurd_net_ping_disable_test.diff (Closes: #709385)
    - debian/hurd_test_skip_io_pipe.diff (Closes: #650096)
    - debian/hurd_test_skip_pipe.diff (Closes: #650187)
    - debian/hurd_test_skip_sigdispatch.diff (Closes: #650188)
    - debian/hurd_test_todo_syslog.diff (Closes: #650093)
  * Various tidying of Copyright file in line with Lintian's suggestions
  * Override Lintian tag spelling-error-in-copyright for an upstream error
  * Override Lintian tag empty-binary-package for libperl5.18 as it
    is a dummy package on some architectures

  [ Niko Tyni ]
  * Include upstream fix for regex \8 and \9 after literals.
    (Closes: #731365)
  * Fix spelling of IPC_CREAT in IPC-SysV documentation. (Closes: #730558)

 -- Niko Tyni <ntyni@debian.org>  Fri, 06 Dec 2013 20:05:55 +0200

perl (5.18.1-4) unstable; urgency=low

  * Add Breaks on versions of libcommon-sense-perl which were built
    with earlier version of perl (Closes: #722460)
  * Add Module::Metadata fix for use in taint mode (Closes: #722210)
  * Update Lintian override for wrong-path-for-interpreter false
    positive

 -- Dominic Hargreaves <dom@earth.li>  Wed, 11 Sep 2013 23:30:25 +0100

perl (5.18.1-3) unstable; urgency=low

  * Make perl-base conflict with all versions of libscalar-list-utils-perl,
    which overrides Essential functionality in a way that breaks during
    upgrades. (Closes: #721364)

 -- Niko Tyni <ntyni@debian.org>  Sat, 31 Aug 2013 18:32:36 +0300

perl (5.18.1-2) unstable; urgency=low

  * Remove redundant Provides: perlapi-5.18.0
  * Update Module::Metadata documentation to fix CVE-2013-1437
    by clarifying that Module::Metadata does execute code from the
    module it is acting on
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Mon, 26 Aug 2013 19:32:08 +0100

perl (5.18.1-1) experimental; urgency=low

  [ Dominic Hargreaves ]
  * Apply patch from upstream fixing Digest::SHA double-free
    crash (Closes: #711206)

  [ Niko Tyni ]
  * Amend the perlbug patchlevel fix for #710842 so that the list
    of local patches is looked up at perlbug run time.
  * Fix the permissions of the md5sums control files in the binary
    packages. (Closes: #714408)
  * Import new upstream release.
    + update Breaks versions for the libmodule-corelist-perl and
      libdigest-sha-perl packages.
  * Apply upstream patches to (partially) fix qr// precompilation
    and the /p flag. (Closes: #718209)
  * Add Breaks and Replaces entries for older versions of the (deprecated)
    libobject-accessor-perl package.

 -- Niko Tyni <ntyni@debian.org>  Mon, 12 Aug 2013 18:26:06 +0300

perl (5.18.0-3) experimental; urgency=low

  * Remove the Provides entries for the deprecated core modules. (See #702096)
  * Make perlbug.PL run patchlevel.h through cpp where possible.
    (Closes: #710842)
  * Migrate the maintainer tests from 'config-edit' to 'cme'.

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 Jun 2013 22:20:35 +0300

perl (5.18.0-2) experimental; urgency=low

  * Apply patches from upstream fixing FTBFS on sparc relating to
    pmop alignment (Closes: #708792)
  * Update the deprecation warning to point to the Debian packages for
    modules deprecated in 5.18
  * Disable failing Net-Ping tests for GNU/Hurd (see: 709385)
  * Apply patch from Jonathan Nieder fixing Memoize::Storable 'nstore'
    option (Closes: #677292)
  * Apply patch from Peter Pentchev fixing Net::FTP failure handling
    (Closes: #491062)
  * Add Breaks/Provides/Replaces/Recommends/Suggests on deprecated
    modules (Closes: #702096)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 09 Jun 2013 12:47:28 +0100

perl (5.18.0-1) experimental; urgency=low

  * New upstream release
    - update Breaks version for libpod-simple-perl 
  * Additional bugs fixed since 5.14:
    - pending signals are processed in both the parent and child process
      after a fork() (Closes: 495788)
    - occasional test failures from Time-HiRes (Closes: #637470)
    - Storing shared_clone with overload in shared_clone strips off
      overload (Closes: #677588)
    - segfaults when freeing deeply nested structures (Closes: #624759)
    - creating and destroying threads with perl results in memory leak
      (Closes: #700624)
    - double free or corruption crash after thread->join when POE::Kernel
      is loaded (Closes: #707206)
    - Behaviour changed in Text::Wrap (Closes: #101933)
    - pod2html doesn't remove temporary files (Closes: #378328)
    - Syslog.pm adds newline and later EOL whitespace to spamassassin
      /var/log/syslog messages (Closes: #496254)
    - Pod::PlainText doesn't recognize =encoding (Closes: #587733)
    - libdate-manip-perl: Memory Leak (Closes: #600231)
    - perlembed.pod and perlmodinstall.pod contain invariant sections
      (Closes: #630149)
    - perl debugger dies for PDL scripts with "Can't return a temporary
      from lvalue subroutine" (Closes: #654387)
    - pod2man: no exit code & empty files left behind (Closes: #659939)
    - Man.pm: Undefined strings and a number register in groff
      (Closes: #674206)
    - perlcall(1) incorrectly refers to "X windows" (Closes: #233214)
    - perl-base: IO::Handle manual lies about write() (Closes: #335694)

