=== debian/control ===
Source: perl
Section: perl
Priority: standard
Maintainer: Niko Tyni <ntyni@debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.3
Homepage: http://dev.perl.org/perl5/
Build-Depends: file, cpio, libdb-dev, libgdbm-dev, netbase [!hurd-any],
 procps [!hurd-any], zlib1g-dev | libz-dev, libbz2-dev, dpkg-dev (>= 1.16.0)
Build-Conflicts: libterm-readline-gnu-perl (<< 1.17), libfile-sharedir-perl
Vcs-Git: git://anonscm.debian.org/perl/perl.git -b debian-5.18
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=perl/perl.git

Package: perl-base
Essential: yes
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, dpkg (>= 1.14.20)
Conflicts: safe-rm (<< 0.8),
 update-inetd (<< 4.41),
 defoma (<< 0.11.12),
 doc-base (<< 0.10.3),
 mono-gac (<< 2.10.8.1-3),
 libscalar-list-utils-perl 
Breaks: autoconf2.13 (<< 2.13-45),
 libfile-spec-perl (<< 3.4000),
 libxsloader-perl (<< 0.16),
 libmarc-charset-perl (<< 1.2),
 libsocket-perl (<< 2.009),
 libcommon-sense-perl (<< 3.72-2~)
Replaces: perl (<< 5.10.1-12), perl-modules (<< 5.10.1-1), libperl5.8 (<< 5.8.0-20),
 libscalar-list-utils-perl,
 libxsloader-perl,
 libsocket-perl
Provides: perl5-base, ${perlapi:Provides},
 libscalar-list-utils-perl,
 libxsloader-perl,
 libsocket-perl
Suggests: perl
Description: minimal Perl system
 Perl is a scripting language used in many system scripts and utilities.
 .
 This package provides a Perl interpreter and the small subset of the
 standard run-time library required to perform basic tasks. For a full
 Perl installation, install "perl" (and its dependencies, "perl-modules"
 and "perl-doc").

Package: libcgi-fast-perl
Priority: optional
Architecture: all
Depends: perl (>= ${source:Version}), perl (<< ${Next-Upstream-Version}~), libfcgi-perl
Description: CGI::Fast Perl module
 CGI::Fast is a subclass of the CGI object created by CGI.pm.  It is
 specialized to work well with the Open Market FastCGI standard, which
 greatly speeds up CGI scripts by turning them into persistently running
 server processes.  Scripts that perform time-consuming initialization
 processes, such as loading large modules or opening persistent database
 connections, will see large performance improvements.

Package: perl-doc
Section: doc
Priority: optional
Architecture: all
Depends: perl (>= ${Upstream-Version}-1)
Suggests: man-browser, groff
Description: Perl documentation
 Perl manual pages, POD documentation and the `perldoc' program.  If you are
 writing Perl programs, you almost certainly need this.

Package: perl-debug
Section: debug
Priority: extra
Architecture: any
Depends: perl (= ${binary:Version}), ${shlibs:Depends}
Description: debug-enabled Perl interpreter
 debugperl provides a debug-enabled version of Perl which can produce
 extensive information about the interpreter as it compiles and executes
 a program (see the -D switch in perlrun(1)).
 .
 Note that this package is primarily of use in debugging *Perl* rather
 than perl programs, which may be traced/debugged using the standard
 perl binary using the -d switch (see perldebug(1)).

Package: libperl5.18
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, perl-base (= ${binary:Version})
Replaces: perl-base (<= 5.8.7-4)
Description: shared Perl library
 This package is required by programs which embed a Perl interpreter to
 ensure that the correct version of `perl-base' is installed.  It
 additionally contains the shared Perl library on architectures where the
 perl binary is linked to libperl.a (currently only i386, for performance
 reasons).  In other cases the actual library is in the `perl-base' package.

Package: libperl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: perl (= ${binary:Version}), libperl5.18 (= ${binary:Version}),
 libc6-dev | libc-dev
Description: Perl library: development files
 Files for developing applications which embed a Perl interpreter.

Package: perl-modules
Priority: standard
Architecture: all
Depends: perl (>= ${Upstream-Version}-1)
Recommends: libarchive-extract-perl,
 libmodule-pluggable-perl,
 libpod-latex-perl,
 libterm-ui-perl,
 libtext-soundex-perl
Suggests: libb-lint-perl,
 libcpanplus-dist-build-perl,
 libcpanplus-perl,
 libfile-checktree-perl,
 liblog-message-simple-perl,
 liblog-message-perl,
 libobject-accessor-perl
Conflicts: defoma (<< 0.11.12),
 mono-gac (<< 2.10.8.1-3)
Breaks: libpod-parser-perl (<< 1.60),
 libansicolor-perl (<< 4.02),
 libfile-temp-perl (<< 0.23),
 libnet-perl (<= 1:1.22),
 libattribute-handlers-perl (<< 0.94),
 libcgi-pm-perl (<< 3.63),
 libi18n-langtags-perl (<< 0.39),
 liblocale-maketext-perl (<< 1.23),
 libmath-bigint-perl (<< 1.9991),
 libnet-ping-perl (<< 2.41),
 libtest-harness-perl (<< 3.26),
 libtest-simple-perl (<< 0.98),
 liblocale-codes-perl (<< 3.25),
 libmodule-corelist-perl (<< 3.03),
 libio-zlib-perl (<< 1.10),
 libarchive-tar-perl (<< 1.90),
 libextutils-cbuilder-perl (<< 0.280210),
 libmodule-build-perl (<< 0.400300),
 libmodule-load-perl (<< 0.24),
 liblocale-maketext-simple-perl (<< 0.21),
 libparams-check-perl (<< 0.36),
 libmodule-pluggable-perl (<< 4.7),
 libmodule-load-conditional-perl (<< 0.54),
 libcpanplus-perl (<< 0.9135),
 libversion-perl (<< 1:0.9902),
 libpod-simple-perl (<< 3.28),
 libextutils-parsexs-perl (<< 3.180000),
 libpod-escapes-perl (<< 1.04),
 libparse-cpan-meta-perl (<< 1.4404),
 libparent-perl (<< 0.225),
 libautodie-perl (<< 2.13),
 libthread-queue-perl (<< 3.02),
 libfile-spec-perl (<< 3.4000),
 libtime-local-perl (<< 1.2300),
 podlators-perl (<< 2.3.1),
 libunicode-collate-perl (<< 0.97),
 libcpan-meta-perl (<< 2.120921),
 libmath-complex-perl (<< 1.59),
 libextutils-command-perl (<< 1.17),
 libmodule-metadata-perl (<< 1.000011),
 libjson-pp-perl (<< 2.27202),
 libperl-ostype-perl (<< 1.003),
 libversion-requirements-perl(<< 0.101022),
 libcpan-meta-yaml-perl (<< 0.008),
 libdigest-perl (<< 1.17),
 libextutils-install-perl (<< 1.59),
 libhttp-tiny-perl (<< 0.025),
 libfile-path-perl (<< 2.09),
 libcpan-meta-requirements-perl (<< 2.122),
 liblog-message-simple-perl (<< 0.10),
 libfile-checktree-perl (<< 4.42),
 libpod-latex-perl (<< 0.61),
 libterm-ui-perl (<< 0.34),
 libcpanplus-dist-build-perl (<< 0.70),
 libarchive-extract-perl (<< 0.68),
 libtext-soundex-perl (<< 3.04),
 libb-lint-perl (<< 1.17),
 liblog-message-perl (<< 0.06),
 libobject-accessor-perl (<< 0.46),
Replaces: libpod-parser-perl,
 libansicolor-perl,
 libfile-temp-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libcgi-pm-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-build-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-pluggable-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libcpanplus-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libfile-path-perl,
 libcpan-meta-requirements-perl,
 liblog-message-simple-perl,
 libfile-checktree-perl,
 libpod-latex-perl,
 libterm-ui-perl,
 libcpanplus-dist-build-perl,
 libarchive-extract-perl,
 libtext-soundex-perl,
 libb-lint-perl,
 liblog-message-perl,
 libobject-accessor-perl
Provides: libpod-parser-perl,
 libansicolor-perl,
 libfile-temp-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libcgi-pm-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-build-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libfile-path-perl,
 libcpan-meta-requirements-perl
Description: Core Perl modules
 Architecture independent Perl modules.  These modules are part of Perl and
 required if the `perl' package is installed.
 .
 Note that this package only exists to save archive space and should be
 considered an internal implementation detail of the `perl' package.
 Other packages should not depend on `perl-modules' directly, they
 should use `perl' (which depends on `perl-modules') instead.

Package: perl
Priority: standard
Architecture: any
Depends: perl-base (= ${binary:Version}), perl-modules (>= ${source:Version}), ${shlibs:Depends}
Conflicts: libjson-pp-perl (<< 2.27200-2)
Breaks: perl-doc (<< ${Upstream-Version}-1),
 libdigest-md5-perl (<< 2.52),
 libmime-base64-perl (<< 3.13),
 libtime-hires-perl (<< 1.9725),
 libstorable-perl (<< 2.41),
 libdigest-sha-perl (<< 5.84.01),
 libsys-syslog-perl (<< 0.32),
 libcompress-zlib-perl (<< 2.060),
 libcompress-raw-zlib-perl (<< 2.060),
 libcompress-raw-bzip2-perl (<< 2.060),
 libio-compress-zlib-perl (<< 2.060),
 libio-compress-bzip2-perl (<< 2.060),
 libio-compress-base-perl (<< 2.060),
 libio-compress-perl (<< 2.060),
 libthreads-perl (<< 1.86),
 libthreads-shared-perl (<< 1.43),
 libtime-piece-perl (<< 1.20.01),
 libencode-perl (<< 2.49),
 mrtg (<< 2.16.3-3.1),
 libhtml-template-compiled-perl (<< 0.95-1),
 libperl-apireference-perl (<< 0.09-1),
 dh-make-perl (<< 0.73-1),
 libregexp-optimizer-perl (<< 0.15-3),
 libxml-parser-lite-tree-perl (<< 0.14-1),
 libyaml-perl (<< 0.73-1),
 libload-perl (<< 0.20-1),
 libsoap-lite-perl (<< 0.712-4),
 libnet-jifty-perl (<< 0.14-1),
 ftpmirror (<< 1.96+dfsg-13)
Replaces: perl-base (<< 5.10.1-12),
 perl-doc (<< 5.8.0-1),
 perl-modules (<< 5.8.1-1),
 libarchive-tar-perl (<= 1.38-2),
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libtime-piece-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libmodule-corelist-perl (<< 2.14-2),
 libencode-perl,
Provides: data-dumper, perl5,
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libtime-piece-perl,
 libencode-perl,
Recommends: netbase
Suggests: perl-doc, libterm-readline-gnu-perl | libterm-readline-perl-perl,
 make
Description: Larry Wall's Practical Extraction and Report Language
 Perl is a highly capable, feature-rich programming language with over
 20 years of development. Perl 5 runs on over 100 platforms from
 portables to mainframes. Perl is suitable for both rapid prototyping
 and large scale development projects.
 .
 Perl 5 supports many programming styles, including procedural,
 functional, and object-oriented. In addition to this, it is supported
