=== debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for perl.
#
# Note that although this rules file currently invokes tools from dpkg-dev
# implemented in perl (such as dpkg-architecture and so on), it aspires
# to not use perl at all, so that a new architecture can easily be
# bootstrapped. This aspiration should be considered when changing this
# file.
#
# <http://lists.alioth.debian.org/pipermail/perl-maintainers/2012-January/002870.html>

# we use bash-specific functionality, at least "shopt -s globstar"
export SHELL = /bin/bash

fullversion := $(shell /bin/bash debian/config.debian --full-version)
nextversion := $(shell /bin/bash debian/config.debian --next-version)
version     := $(shell /bin/bash debian/config.debian --version)
installtype := $(shell /bin/bash debian/config.debian --install-type)
test_target := $(shell /bin/bash debian/config.debian --test-target)
strip	    := $(shell /bin/bash debian/config.debian --strip)
srcdir      := $(shell pwd)
packages    := $(shell sed -n 's/^Package: *\(.*\)/\1/p' debian/control)
tmp	    = debian/tmp
bin         = $(tmp)/usr/bin
man         = $(tmp)/usr/share/man
lib         = $(tmp)/usr/lib/perl/$(version)
share       = $(tmp)/usr/share/perl/$(version)
build	    = debian/build
debug       = $(build)/perl-debug/usr/lib/debug
patches     = debian/patches/series
patchlevel  = patchlevel-debian.h

checkdir    = test -d debian
checkroot   = test `id -u` -eq 0
checkperl   = $(SHELL) debian/checkperl

# this may differ from $(fullversion) for release candidates and the like
package_upstream_version = $(shell dpkg-parsechangelog | \
        sed -ne 's/-[^-]\+$$//; s/^Version: *\([0-9]\+:\)*//p')

package_version = $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')

# this gets prepended to the patch names in patchlevel.h
patchprefix = DEBPKG:

# control file substitutions
subst_upstream = -VUpstream-Version=$(package_upstream_version)
subst_perlapi  = -Vperlapi:Provides="`./perl.static debian/mkprovides`"
subst_next_upstream = -VNext-Upstream-Version=$(nextversion)

# for cpan/Compress-Raw-Zlib
export BUILD_ZLIB=False
export ZLIB_INCLUDE=/usr/include
export ZLIB_LIB=/usr/lib

# for cpan/Compress-Raw-Bzip2
export BUILD_BZIP2=0
export BZIP2_INCLUDE=/usr/include
export BZIP2_LIB=/usr/lib

build: build-stamp
install: install-stamp

build-arch: build
build-indep: build

build-stamp: $(patchlevel) perl.static perl.debug libperl.so.$(fullversion)
	touch $@

$(patchlevel): $(patches)
	$(checkdir)
	test -f $<	# maintainer sanity check
	debian/gen-patchlevel -p $(patchprefix) -v $(package_version) $< > $@

perl.static:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f $(patchlevel) ] || touch $(patchlevel)
	$(SHELL) debian/config.debian --static
	$(MAKE) perl $(test_target)
	mv libperl.a libperl-static
	mv perl perl.static

	# for the build log
	./perl.static -Ilib -V

perl.debug:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f $(patchlevel) ] || touch $(patchlevel)
	$(SHELL) debian/config.debian --debug
	$(MAKE) perl
	mv perl perl.debug

libperl.so.$(fullversion):
	$(checkdir)
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f $(patchlevel) ] || touch $(patchlevel)
	$(SHELL) debian/config.debian --shared
	$(MAKE) SHRPLDFLAGS='$$(LDDLFLAGS) -Wl,-soname,libperl.so.$(version)' $@
	ln -s libperl.so.$(fullversion) libperl.so.$(version)
	ln -s libperl.so.$(version) libperl.so
	$(MAKE) all $(test_target) || { rm -f libperl.so*; exit 1; }

clean:
	$(checkdir)
	$(checkroot)
	test -f $(patches)	# maintainer sanity check
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf config.over perl.static perl.debug libperl-static libperl.so* \
	    $(patchlevel) build-stamp install-stamp t/auto debian/shlibs.local \
	    debian/perl-base.shlibs debian/libperl$(version).shlibs \
	    debian/substvars debian/files debian/list.tmp $(tmp) $(build)
	# <https://rt.cpan.org/Public/Bug/Display.html?id=68214>
	rm -f cpan/DB_File/DB_File.pm.bak cpan/DB_File/t/db-btree.t.bak \
	    cpan/DB_File/t/db-hash.t.bak cpan/DB_File/t/db-recno.t.bak

install-stamp: build-stamp
	$(checkdir)
	$(checkroot)
	$(checkperl)
	rm -rf $(tmp) $(build)

	$(MAKE) install DESTDIR="$(tmp)"
	# switch man extensions to 1p and 3pm for vendor module installs
	./perl.static -i -p \
	    -e 's/^(man1ext=).*/$$1'\''1p'\''/;' \
	    -e 's/^(man3ext=).*/$$1'\''3pm'\''/;' \
		$(lib)/Config.pm $(lib)/Config_heavy.pl

	# remove dpkg-buildflags effects from %Config
	# see #657853
	if which dpkg-buildflags >/dev/null 2>&1; then \
		for flag in $(shell dpkg-buildflags --get CPPFLAGS) \
		         $(shell dpkg-buildflags --get CFLAGS); do \
			case "$$flag" in -fstack-protector) ;; \
			     *) ./perl.static -i -pe "/^(cc|cpp)flags/ and \
			          s/(['\s])\Q$$flag\E(['\s])/\1\2/ and s/  +/ /" \
		            $(lib)/Config.pm $(lib)/Config_heavy.pl ;; \
		    esac; done; \
		for flag in $(shell dpkg-buildflags --get LDFLAGS); do \
			./perl.static -i -pe "/^ld(dl)?flags/ and \
			          s/(['\s])\Q$$flag\E(['\s])/\1\2/ and s/  +/ /" \
		          $(lib)/Config.pm $(lib)/Config_heavy.pl ; \
		done; \
	fi

	# convert required header files
	-cd /usr/include; $(srcdir)/perl.static -I $(srcdir)/lib \
	    $(srcdir)/utils/h2ph -a -d $(srcdir)/$(lib) \
		`cat $(srcdir)/debian/headers`

	# fix up generated headers
	./perl.static -Ilib debian/fixheaders $(lib)

	# simple wrapper around Errno module
	cp debian/errno.ph $(lib)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring x-perl-notest,$(DEB_BUILD_OPTIONS)))
	# Verify that the headers are usable
	for ph in `< debian/headers sed -e 's/\.h$$/.ph/'`; do \
		if [ ! -f $(lib)/$$ph ]; then \
			echo "$$ph: missing"; else \
			echo $$ph | ./perl.static debian/check-require $(tmp) \
				|| exit 1; \
		fi; \
	done
endif
endif

	# remove some cruft
	rm -f $(lib)/.packlist

	# installperl copies the symlinks as a files
	rm -f $(lib)/CORE/libperl.so $(lib)/CORE/libperl.so.$(version)

	# remove versioned binary, relink after moving files
	rm -f $(bin)/perl$(fullversion)

	# relocate perl libraries and create links
	cp libperl-static $(tmp)/usr/lib/libperl.a
	mv $(lib)/CORE/libperl.so.$(fullversion) $(tmp)/usr/lib

	ln -s libperl.so.$(fullversion) $(tmp)/usr/lib/libperl.so.$(version)
	ln -s libperl.so.$(version) $(tmp)/usr/lib/libperl.so

	# move to full version (symlinks created in perl-base below)
	mv $(lib) $(tmp)/usr/lib/perl/$(fullversion)
	mv $(share) $(tmp)/usr/share/perl/$(fullversion)

ifeq ($(installtype),static)
	cp perl.static $(bin)/perl
endif

	# install debug binary as debugperl
	cp perl.debug $(bin)/debugperl

	# split packages
	# Note: this relies on the order of debian/control
	for p in $(packages); \
	do \
	    mkdir -p $(build)/$$p; \
	    (cd $(tmp); \
	    	for sfx in '' .$(installtype); \
		do \
		    list=../$$p.files$$sfx; \
		    test -s $$list || continue; \
		    shopt -s globstar; \
		    find `grep -v '^#' $$list` ! -type d; \
		done) >debian/list.tmp; \
	    (cd $(tmp); cpio -vdumpl ../build/$$p) <debian/list.tmp 2>&1 | \
		grep -v ' linked to '; \
	    (cd $(tmp); ../../perl.static -nle unlink) <debian/list.tmp; \
	done

	# ensure that all file have been moved from debian/tmp
	test `find $(tmp) ! -type d | wc -l` -eq 0

	# move pod out of -base modules and into .pod files in -doc
	./perl.static debian/splitdoc $(build)/perl-base

	# create symlinks to match @INC
	ln -s $(fullversion) $(build)/perl-base/usr/lib/perl/$(version)
	ln -s $(fullversion) $(build)/perl-base/usr/share/perl/$(version)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring x-perl-notest,$(DEB_BUILD_OPTIONS)))
	# Verify that perl-base stays self contained

	( shopt -s globstar; cd $(build)/perl-base; \
	  find `grep -v '^#' $(srcdir)/debian/perl-base.files` ! -type d ) | \
	  ./perl.static $(srcdir)/debian/check-require $(build)/perl-base
endif
endif

	# move section 1 manual pages back to perl for installed programs
